facebook

Cannot start server after update to Angular 14

  1. CodeMix & Angular IDE
  2.  > 
  3. Getting Help
Viewing 3 posts - 1 through 3 (of 3 total)
  • Author
    Posts
  • #683476 Reply

    huizhang
    Participant

    After upgrading to angular14 from 11, now I got the following error message when trying to start the server:
    Error: Cannot find module ‘@angular/cli/commands/serve’

    • This topic was modified 1 year, 8 months ago by Brian Fernandes. Reason: added angular version to title
    #683484 Reply

    Brian Fernandes
    Moderator

    Angular 14 included an Angular CLI overhaul which the MyEclipse/CodeMix Angular tooling is incompatible with, as there were significant changes made to various CLI resources that we use.

    Other than downgrading to a previous version of Angular, we do not have a workaround to suggest at this time. Our team is looking into the issue and we’ll update this thread as soon as we have a fix for MyEclipse. Please note that CodeMix/Angular IDE will not be updated. Apologies for the inconvenience caused.

    #696831 Reply

    support-swapna
    Moderator

    Our latest release MyEclipse 2023 is out with support for newer versions of Angular.
    For more details on the tech enhancements and updates in MyEclipse 2023, see here : https://www.genuitec.com/myeclipse-2023-1-jakarta-ee-10-angular-16-and-beyond/
    You can get the update via Help > Check for Updates. Please give it a try and let us know how it works for you.

    Thank you for your patience.

    –Swapna
    Genuitec Support

Viewing 3 posts - 1 through 3 (of 3 total)
Reply To: Cannot start server after update to Angular 14

You must be logged in to post in the forum log in